Imagick::__construct
Imagick::contrastStretchImage
Imagick
PHP Manual

# Imagick::contrastImage

Change the contrast of the image

### Description

bool Imagick::contrastImage ( bool `$sharpen` )

Enhances the intensity differences between the lighter and darker elements of the image. Set sharpen to a value other than 0 to increase the image contrast otherwise the contrast is reduced.

### Parameters

`sharpen`

  The sharpen value

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.